Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.mvc.method.annotation
Class ServletWebArgumentResolverAdapter

    java.lang.Object
      org.springframework.web.method.annotation.AbstractWebArgumentResolverAdapter
          org.springframework.web.servlet.mvc.method.annotation.ServletWebArgumentResolverAdapter

All Implemented Interfaces:
  HandlerMethodArgumentResolver

    public class ServletWebArgumentResolverAdapter

extends AbstractWebArgumentResolverAdapter

A Servlet-specific `AbstractWebArgumentResolverAdapter` that creates a `NativeWebRequest` from `ServletRequestAttributes`.

Note: This class is provided for backwards compatibility. However it is recommended to re-write a `WebArgumentResolver` as `HandlerMethodArgumentResolver`. For more details see javadoc of `AbstractWebArgumentResolverAdapter`.

Since:
  3.1
Author:
  Rossen Stoyanchev

Constructor Summary
`ServletWebArgumentResolverAdapter(WebArgumentResolver adaptee)`

Method Summary
`protected NativeWebRequest` | `getWebRequest()` Required for access to NativeWebRequest in `AbstractWebArgumentResolverAdapter.supportsParameter(org.springframework.core.MethodParameter)`.

Methods inherited from class org.springframework.web.method.annotation.AbstractWebArgumentResolverAdapter
`resolveArgument, supportsParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletWebArgumentResolverAdapter

    public ServletWebArgumentResolverAdapter(WebArgumentResolver adaptee)

Method Detail

### getWebRequest

    protected NativeWebRequest getWebRequest()

  Description copied from class: `AbstractWebArgumentResolverAdapter`
  Required for access to NativeWebRequest in `AbstractWebArgumentResolverAdapter.supportsParameter(org.springframework.core.MethodParameter)`.

  Specified by:
    `getWebRequest` in class `AbstractWebArgumentResolverAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD